comedi_apply_parsed_calibration
Prev | 5.4.3. Calibration | Next

## Name

comedi_apply_parsed_calibration — set calibration from memory

## Synopsis

    #include <comedilib.h>

`int comedi_apply_parsed_calibration(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int range,
| unsigned int aref,
| const comedi_calibration_t * calibration`)`;

## Status

alpha

## Description

This function is similar to `comedi_apply_calibration`, except the calibration information is read from memory instead of a file. This function can be more efficient than `comedi_apply_calibration` since the calibration file does not need to be reparsed with every call. The value of parameter `calibration` is obtained by a call to `comedi_parse_calibration_file`.

## Return value

Returns `0` on success, `-1` on failure.

Prev | Up | Next
comedi_apply_calibration | Home | comedi_cleanup_calibration